Create Agent Secret

Create Agent Secret
Create a secret to be used by ingestion agent

Creates a new agent secret that can be used by log ingestion agents to authenticate with the system. The secret name must be unique and will be used to identify the agent. The returned secret value should be stored securely as it will only be displayed once.

Request
URI
POST
https://{api_host}/api/v2/agent/secrets
COPY
Request Body
AgentSecretCreateRequest of type(s) application/json
Required
{
    "name": "string"
}
string
name
Optional

name

Authentication
This operation uses the following authentication methods.
Responses
201

Created new agent secret

Returns AgentSecretCreateResponse of type(s) application/json
{
    "id": "string",
    "name": "string",
    "secret": "string",
    "status": "string"
}
string
id
Optional

id

string
name
Optional

name

string
secret
Optional

secret

string
status
Optional

status


400

Bad request: Invalid input data

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


403

Forbidden: Authorization required

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/v2/agent/secrets